Loading...
Searching...
No Matches
prCopyMacros.h File Reference

Go to the source code of this file.

## Macros

#define | PR_DELETE_MONOM(src, r_src)
#define | PR_INIT_EVECTOR_COPY(r_src, r_dest)
#define | PR_CPY_EVECTOR(dest, dest_r, src, src_r)
#define | PR_ALLOC_MONOM(r)
#define | PR_NCOPY(n, r)
#define | PR_NDELETE(n, r)
#define | PR_NUMBER_SIMPLE_NAME NoNSimple
#define | PR_SORT_POLY(p, d_r, s_r)

## Macro Definition Documentation

## PR_ALLOC_MONOM

#define PR_ALLOC_MONOM | ( |  | r | ) |

Value:
p_Init(r)
p_Init
static poly p_Init(const ring r, omBin bin)
Definition p_polys.h:1341

Definition at line 30 of file prCopyMacros.h.

## PR_CPY_EVECTOR

#define PR_CPY_EVECTOR | ( |  | dest,
|  |  | dest_r,
|  |  | src,
|  |  | src_r )

Value:
prCopyEvector(dest, dest_r, src, src_r, _min)
prCopyEvector
static void prCopyEvector(poly dest, ring dest_r, poly src, ring src_r, int max)
Definition prCopy.cc:18

Definition at line 28 of file prCopyMacros.h.

#define PR_CPY_EVECTOR(dest, dest_r, src, src_r) \
prCopyEvector(dest, dest_r, src, src_r, _min)

## PR_DELETE_MONOM

#define PR_DELETE_MONOM | ( |  | src,
|  |  | r_src )

Value:
do {} while (0)

Definition at line 11 of file prCopyMacros.h.

## PR_INIT_EVECTOR_COPY

#define PR_INIT_EVECTOR_COPY | ( |  | r_src,
|  |  | r_dest )

Value:
int _min = si_min(r_dest->N, r_src->N)
si_min
static int si_min(const int a, const int b)
Definition auxiliary.h:126

Definition at line 27 of file prCopyMacros.h.

## PR_NCOPY

#define PR_NCOPY | ( |  | n,
|  |  | r )

Value:
n_Copy(n,r->cf)
n_Copy
static FORCE_INLINE number n_Copy(number n, const coeffs r)
return a copy of 'n'
Definition coeffs.h:457

Definition at line 41 of file prCopyMacros.h.

## PR_NDELETE

#define PR_NDELETE | ( |  | n,
|  |  | r )

Value:
n_Delete(n,r->cf)
n_Delete
static FORCE_INLINE void n_Delete(number *p, const coeffs r)
delete 'p'
Definition coeffs.h:461

Definition at line 42 of file prCopyMacros.h.

## PR_NUMBER_SIMPLE_NAME

#define PR_NUMBER_SIMPLE_NAME NoNSimple

Definition at line 43 of file prCopyMacros.h.

## PR_SORT_POLY

#define PR_SORT_POLY | ( |  | p,
|  |  | d_r,
|  |  | s_r )

Value:
p = p_SortMerge(p, d_r, d_r->OrdSgn == s_r->OrdSgn)
p
int p
Definition cfModGcd.cc:4086
p_SortMerge
static poly p_SortMerge(poly p, const ring r, BOOLEAN revert=FALSE)
Definition p_polys.h:1250

Definition at line 50 of file prCopyMacros.h.